PHP Manual
Prev |  | Next

# sesam_rollback

(PHP 3 CVS only)

sesam_rollback -- Discard any pending updates to the SESAM database

## Description

bool sesam_rollback ( void )

sesam_rollback() discards any pending updates to the database. Also affected are result cursors and result descriptors.

At the end of each script, and as part of the sesam_disconnect() function, an implied sesam_rollback() is executed, discarding any pending changes to the database.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Examples

Example 1. Discarding an update to the SESAM database

`<?php if (sesam_connect ("mycatalog", "myschema", "otto")) { if (sesam_execimm ("INSERT INTO mytable VALUES (*, 'Small Test', <0, 8, 15>)") && sesam_execimm ("INSERT INTO othertable VALUES (*, 'Another Test', 1)")) { sesam_commit(); } else { sesam_rollback(); } } ?>`

## See Also

sesam_commit()

Prev | Home | Next
sesam_query | Up | sesam_seek_row